freedombone-pass(1)

NAME
freedombone-pass - A simple multi-user password manager

SYNOPSIS
freedombone-pass -u [username] -a [app name] -p [password]

DESCRIPTION
It's useful to be able to store user passwords, but not a good idea to do that in plain text. This implements a simple password store. It gpg symmetric encrypts passwords using the backups private key as the passphrase. In order for an adversary to obtain the passwords they must have the backups GPG key, which is not obtainable from local or remote backups and can only happen if they get root access to the system (in which case it's game over anyhow) or if they can decrypt a master keydrive or obtain sufficient keydrive fragments.

USAGE
To encrypt a password:
    freedombone-pass -u [username] -a [app name] -p [password] To retrieve a password:
    freedombone-pass -u [username] -a [app name] To remove passwords for a user:
    freedombone-pass -r [username] To remove an application password for a user:
    freedombone-pass --u [username] --rmapp [app name]

BUGS
Report bugs at https://github.com/bashrc/freedombone/issues

AUTHOR
Bob Mottram <bob@freedombone.net>
PGP/GPG: EA982E38
Web: https://freedombone.net